SignatureBuilder
Date: 2016-05-24

org.codehaus.mojo.animal_sniffer

## Class SignatureBuilder

- java.lang.Object
- - org.codehaus.mojo.animal_sniffer.ClassFileVisitor
  - - org.codehaus.mojo.animal_sniffer.SignatureBuilder

-     public class SignatureBuilder
      extends ClassFileVisitor

  Builds up a signature list from the given classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureBuilder(java.io.InputStream[] in, java.io.OutputStream out, Logger logger)`
    `SignatureBuilder(java.io.OutputStream out, Logger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExclude(java.lang.String className)`
    `void` | `addInclude(java.lang.String className)`
    `void` | `close()`
    `static void` | `main(java.lang.String[] args)`
    `protected void` | `process(java.lang.String name, java.io.InputStream image)`

    - ### Methods inherited from class org.codehaus.mojo.animal_sniffer.ClassFileVisitor

      `isCheckJars, process, process, processClassFile, processDirectory, processJarFile, setCheckJars`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureBuilder

          public SignatureBuilder(java.io.OutputStream out,
                          Logger logger)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### SignatureBuilder

          public SignatureBuilder(java.io.InputStream[] in,
                          java.io.OutputStream out,
                          Logger logger)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addInclude

          public void addInclude(java.lang.String className)

    - #### addExclude

          public void addExclude(java.lang.String className)

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### process

          protected void process(java.lang.String name,
                     java.io.InputStream image)
                          throws java.io.IOException

      Specified by:
        `process` in class `ClassFileVisitor`
      Parameters:
        `name` - Displayable name to identify what class file we are processing
        `image` - Class file image.
      Throws:
        `java.io.IOException`